Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.iiop
Class TransactionServiceImpl

    java.lang.Object
      org.omg.PortableServer.Servant
          org.jboss.tm.iiop.TransactionServicePOA
              org.jboss.tm.iiop.TransactionServiceImpl

All Implemented Interfaces:
  org.omg.CosTransactions.ControlOperations, CoordinatorExtOperations, org.omg.CosTransactions.CoordinatorOperations, InvokeHandler, org.omg.CosTransactions.TerminatorOperations, TransactionFactoryExtOperations, org.omg.CosTransactions.TransactionFactoryOperations, TransactionServiceOperations

public class TransactionServiceImpl
extends TransactionServicePOA

CORBA servant for the JBoss TransactionService.

Version:
  $Revision: 1.2 $
Author:
  Francisco Reverbel

Method Summary
`String[]` | `_all_interfaces(POA poa, byte[] oid)`
`void` | `commit(boolean reportHeuristics)`
`org.omg.CosTransactions.Control` | `create_subtransaction()`
`TransactionDesc` | `create_transaction(int timeout)`
`org.omg.CosTransactions.Control` | `create(int timeout)`
`org.omg.CosTransactions.Coordinator` | `get_coordinator()`
`org.omg.CosTransactions.Status` | `get_parent_status()`
`org.omg.CosTransactions.Status` | `get_status()`
`org.omg.CosTransactions.Terminator` | `get_terminator()`
`org.omg.CosTransactions.Status` | `get_top_level_status()`
`TransactionId` | `get_transaction_id()`
`String` | `get_transaction_name()`
`org.omg.CosTransactions.PropagationContext` | `get_txcontext()`
`protected static org.jboss.tm.TransactionPropagationContextImporter` | `getTPCImporter()` Get a reference to the transaction importer.
`protected static TransactionManager` | `getTransactionManager()` Get a reference to the transaction manager.
`int` | `hash_top_level_tran()`
`int` | `hash_transaction()`
`boolean` | `is_ancestor_transaction(org.omg.CosTransactions.Coordinator other)`
`boolean` | `is_descendant_transaction(org.omg.CosTransactions.Coordinator other)`
`boolean` | `is_related_transaction(org.omg.CosTransactions.Coordinator other)`
`boolean` | `is_same_transaction(org.omg.CosTransactions.Coordinator other)`
`boolean` | `is_top_level_transaction()`
`org.omg.CosTransactions.Control` | `recreate(org.omg.CosTransactions.PropagationContext pc)`
`org.omg.CosTransactions.RecoveryCoordinator` | `register_resource(org.omg.CosTransactions.Resource r)`
`void` | `register_subtran_aware(org.omg.CosTransactions.SubtransactionAwareResource r)`
`void` | `register_synchronization(org.omg.CosTransactions.Synchronization sync)`
`void` | `rollback_only()`
`void` | `rollback()`

Methods inherited from class org.jboss.tm.iiop.TransactionServicePOA
`_invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### _all_interfaces

    public String[] _all_interfaces(POA poa,
                                    byte[] oid)

  Overrides:
    `_all_interfaces` in class `TransactionServicePOA`

### create_transaction

    public TransactionDesc create_transaction(int timeout)

### create

    public org.omg.CosTransactions.Control create(int timeout)

### recreate

    public org.omg.CosTransactions.Control recreate(org.omg.CosTransactions.PropagationContext pc)

### get_terminator

    public org.omg.CosTransactions.Terminator get_terminator()
                                                      throws org.omg.CosTransactions.Unavailable

  Throws:
    `org.omg.CosTransactions.Unavailable`

### get_coordinator

    public org.omg.CosTransactions.Coordinator get_coordinator()
                                                        throws org.omg.CosTransactions.Unavailable

  Throws:
    `org.omg.CosTransactions.Unavailable`

### commit

    public void commit(boolean reportHeuristics)
                throws org.omg.CosTransactions.HeuristicHazard,
                       org.omg.CosTransactions.HeuristicMixed

  Throws:
    `org.omg.CosTransactions.HeuristicHazard`
    `org.omg.CosTransactions.HeuristicMixed`

### rollback

    public void rollback()

### get_transaction_id

    public TransactionId get_transaction_id()

### get_status

    public org.omg.CosTransactions.Status get_status()

### get_parent_status

    public org.omg.CosTransactions.Status get_parent_status()

### get_top_level_status

    public org.omg.CosTransactions.Status get_top_level_status()

### is_same_transaction

    public boolean is_same_transaction(org.omg.CosTransactions.Coordinator other)

### is_ancestor_transaction

    public boolean is_ancestor_transaction(org.omg.CosTransactions.Coordinator other)

### is_descendant_transaction

    public boolean is_descendant_transaction(org.omg.CosTransactions.Coordinator other)

### is_related_transaction

    public boolean is_related_transaction(org.omg.CosTransactions.Coordinator other)

### is_top_level_transaction

    public boolean is_top_level_transaction()

### hash_transaction

    public int hash_transaction()

### hash_top_level_tran

    public int hash_top_level_tran()

### register_resource

    public org.omg.CosTransactions.RecoveryCoordinator register_resource(org.omg.CosTransactions.Resource r)
                                                                  throws org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.Inactive`

### register_synchronization

    public void register_synchronization(org.omg.CosTransactions.Synchronization sync)
                                  throws org.omg.CosTransactions.SynchronizationUnavailable,
                                         org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.SynchronizationUnavailable`
    `org.omg.CosTransactions.Inactive`

### register_subtran_aware

    public void register_subtran_aware(org.omg.CosTransactions.SubtransactionAwareResource r)
                                throws org.omg.CosTransactions.NotSubtransaction,
                                       org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.NotSubtransaction`
    `org.omg.CosTransactions.Inactive`

### rollback_only

    public void rollback_only()
                       throws org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.Inactive`

### get_transaction_name

    public String get_transaction_name()

### create_subtransaction

    public org.omg.CosTransactions.Control create_subtransaction()
                                                          throws org.omg.CosTransactions.SubtransactionsUnavailable,
                                                                 org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.SubtransactionsUnavailable`
    `org.omg.CosTransactions.Inactive`

### get_txcontext

    public org.omg.CosTransactions.PropagationContext get_txcontext()
                                                             throws org.omg.CosTransactions.Unavailable

  Throws:
    `org.omg.CosTransactions.Unavailable`

### getTransactionManager

    protected static TransactionManager getTransactionManager()

  Get a reference to the transaction manager.

### getTPCImporter

    protected static org.jboss.tm.TransactionPropagationContextImporter getTPCImporter()

  Get a reference to the transaction importer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.